Up

# STScript class documentation

### Authors

Stefan Urbanek(`stefanurbanek@yahoo.fr` )

Copyright: (C) 2002 Stefan Urbanek

# Software documentation for the STScript class

## STScript : NSObject

> Declared in:
>   StepTalk/STScript.h

Description forthcoming.

Method summary

- +scriptWithFile:
- -compareByLocalizedName:
- -fileName
- -initWithFile:
- -language
- -localizedName
- -scriptDescription
- -scriptName
- -source

### scriptWithFile:

+ (id) scriptWithFile: (NSString*)file;

Description forthcoming.

### compareByLocalizedName:

- (NSComparisonResult) compareByLocalizedName: (STScript*)aScript;

Compare scripts by localized name.

### fileName

- (NSString*) fileName;

Return file name of the receiver.

### initWithFile:

- (id) initWithFile: (NSString*)aFile;

Create a new script from file aFile>. Script information will be read from 'aFile.stinfo' file containing a dictionary property list.

### language

- (NSString*) language;

Returns language of the script.

### localizedName

- (NSString*) localizedName;

Returns localized name of the receiver script.

### scriptDescription

- (NSString*) scriptDescription;

Returns localized description of the script.

### scriptName

- (NSString*) scriptName;

Returns a script name by which the script is identified

### source

- (NSString*) source;

Returns source string of the receiver script.

Up